=== modified file 'loggerhead/apps/__init__.py'
--- loggerhead/apps/__init__.py	2008-06-18 01:08:59 +0000
+++ loggerhead/apps/__init__.py	2008-06-18 01:28:39 +0000
@@ -1,1 +1,8 @@
 #
+
+
+static = os.path.join(
+    os.path.dirname(os.path.dirname(__file__)), 'static')
+
+static_app = urlparser.make_static(None, static)
+

=== modified file 'loggerhead/apps/branch.py'
--- loggerhead/apps/branch.py	2008-06-18 01:08:59 +0000
+++ loggerhead/apps/branch.py	2008-06-18 01:28:39 +0000
@@ -1,12 +1,11 @@
 import logging
-import os
 import urllib
 
-from paste import urlparser
 from paste import request
 from paste import httpexceptions
 from paste.wsgiwrappers import WSGIRequest, WSGIResponse
 
+from loggerhead.apps import static_app
 from loggerhead.controllers.changelog_ui import ChangeLogUI
 from loggerhead.controllers.inventory_ui import InventoryUI
 from loggerhead.controllers.annotate_ui import AnnotateUI
@@ -17,11 +16,6 @@
 
 from loggerhead import util
 
-static = os.path.join(
-    os.path.dirname(os.path.dirname(__file__)), 'static')
-
-static_app = urlparser.make_static(None, static)
-
 logging.basicConfig()
 logging.getLogger().setLevel(logging.DEBUG)
 
@@ -82,4 +76,3 @@
         c = cls(self)
         c.default(req, response)
         return response(environ, start_response)
-

=== modified file 'loggerhead/apps/filesystem.py'
--- loggerhead/apps/filesystem.py	2008-06-18 01:18:46 +0000
+++ loggerhead/apps/filesystem.py	2008-06-18 01:28:39 +0000
@@ -1,7 +1,8 @@
 import cgi, os, tempfile
 from bzrlib import branch, errors
 from loggerhead.history import History
-from loggerhead.apps.branch import BranchWSGIApp, static_app
+from loggerhead.apps.branch import BranchWSGIApp
+from loggerhead.apps import static_app
 from paste.request import path_info_pop
 from paste.wsgiwrappers import WSGIRequest, WSGIResponse
 from paste import httpexceptions
@@ -54,7 +55,8 @@
         except errors.NotBranchError:
             segment = path_info_pop(environ)
             if segment is None:
-                raise httpexceptions.HTTPMovedPermanently(environ['SCRIPT_NAME'] + '/')
+                raise httpexceptions.HTTPMovedPermanently(
+                    environ['SCRIPT_NAME'] + '/')
             elif segment == '':
                 return self.directory_listing(path, environ, start_response)
             else:

